import { LazyIterable } from './shared-types';
export declare function chunk<T>(size: number): (data: LazyIterable<T>) => {
    [Symbol.asyncIterator](): AsyncGenerator<T[], void, unknown>;
} | {
    [Symbol.iterator](): Generator<T[], void, unknown>;
};
