function sleep(ms) {
    return new Promise(resolve => setTimeout(resolve, ms));
}
export function delay(ms) {
    return async function* delayFn(data) {
        if (data == null)
            return;
        let stream = data instanceof Promise ? await data : data;
        for await (let datum of stream) {
            await sleep(ms);
            yield datum;
        }
    };
}
