import { LazyIterable } from './shared-types';
/**
 * This is pretty slow because it has to first go through the whole iterator
 * (to make it an array), then reverse the whole thing and then start
 * yielding again.
 */
export declare function reverse<T>(): (data: LazyIterable<T>) => {
    [Symbol.asyncIterator](): AsyncGenerator<any, void, unknown>;
} | {
    [Symbol.iterator](): Generator<T, void, unknown>;
};
