import { LazyIterable } from './shared-types';
export declare function slice<T>(begin?: number, end?: number): (data: LazyIterable<T>) => {
    [Symbol.asyncIterator](): AsyncGenerator<T, void, unknown>;
} | {
    [Symbol.iterator](): Generator<T, void, unknown>;
};
