declare type Fn<T> = (datum: T, index: number) => void;
export declare function tap<T>(fn: Fn<T>): (data: import("./shared-types").LazyIterable<T>) => {
    [Symbol.asyncIterator](): AsyncGenerator<T, void, unknown>;
} | {
    [Symbol.iterator](): Generator<T, void, unknown>;
} | undefined;
export {};
