import { LazyIterable } from './shared-types';
export declare function unique<T>(): (data: LazyIterable<T>) => {
    [Symbol.asyncIterator](): AsyncGenerator<T, void, unknown>;
} | {
    [Symbol.iterator](): Generator<T, void, unknown>;
};
