import { LazyIterable } from './shared-types';
declare type Fn<T> = (datum: T, index: number) => boolean;
export declare function filter<T>(fn: Fn<T>): (data: LazyIterable<T>) => {
    [Symbol.asyncIterator](): AsyncGenerator<T, void, unknown>;
} | {
    [Symbol.iterator](): Generator<T, void, unknown>;
};
export {};
