import { LazyIterable } from './shared-types';
declare type Fn<T, R> = (datum: T, index: number) => R;
export declare function map<T, R>(fn: Fn<T, R>): (data: LazyIterable<T>) => {
    [Symbol.asyncIterator](): AsyncGenerator<R, void, unknown>;
} | {
    [Symbol.iterator](): Generator<R, void, unknown>;
} | undefined;
export {};
