import { filter } from './filter.js';
export function where(properties) {
    let entries = Object.entries(properties);
    return filter(datum => {
        if (datum == null)
            return false;
        return entries.every(([key, value]) => datum[key] === value);
    });
}
